Get a bulk run
curl --request GET \
--url https://api.melius.com/api/v1/bulk-node-runs/{bulkNodeRunId} \
--header 'Authorization: Bearer <token>' \
--header 'x-team-id: <api-key>'import requests
url = "https://api.melius.com/api/v1/bulk-node-runs/{bulkNodeRunId}"
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};
fetch('https://api.melius.com/api/v1/bulk-node-runs/{bulkNodeRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalNodes": 123,
"completedNodes": 123,
"failedNodes": 123,
"skippedNodes": 123,
"nodeEntries": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorMessage": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Runs
Get a bulk run
GET
/
api
/
v1
/
bulk-node-runs
/
{bulkNodeRunId}
Get a bulk run
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Path Parameters
Response
200
Available options:
pending, running, finished, failed Show child attributes
Show child attributes
Last modified on July 9, 2026
⌘I